Get Order by ID
Retrieve details of a specific order
GETtexttext
/api/v2/orders/:idRetrieves full details of a specific order using its OZZOBiT order ID.
Path Parameters
idstringrequired
The OZZOBiT order ID (returned when order was created)
Query Parameters
apiKeystringrequired
Your public API key
Response Schema
idstring
OZZOBiT order ID
partnerOrderIdstring | null
Your reference ID
statusstring
Current status (PENDING_PAYMENT, PROCESSING, COMPLETED, FAILED, CANCELLED)
fiatCurrencystring
Fiat currency code
fiatAmountnumber
Fiat amount in minor units or decimal
cryptoCurrencystring
Cryptocurrency code
cryptoAmountnumber
Crypto amount
networkstring
Blockchain network
walletAddressstring
Destination wallet address
fromWalletAddressstring | null
Source wallet (off-ramp)
transactionHashstring | null
On-chain transaction hash
feeobject
Fee breakdown including networkFee, partnerFee, OZZOBiTFee, totalFee
paymentMethodstring
Payment method used
kycStatusstring
KYC verification status for this order
createdAtstring
ISO 8601 creation timestamp
updatedAtstring
ISO 8601 last update timestamp
completedAtstring | null
ISO 8601 completion timestamp
Example Request
bashbash
curl -X GET "https://OZZOBiT.com/api/api/v2/orders/OZZOBiT-order-abc123?apiKey=YOUR_KEY"Example Response
jsonjson
{
"id": "OZZOBiT-order-abc123",
"partnerOrderId": "ORDER-1705312345",
"status": "COMPLETED",
"productsAvailed": "BUY",
"fiatCurrency": "USD",
"fiatAmount": 100.00,
"cryptoCurrency": "ETH",
"cryptoAmount": 0.045231,
"network": "ethereum",
"networkFee": "0.0005",
"walletAddress": "0x742d35Cc6634C0532925a3b844Bc9e7595f8bD21",
"fromWalletAddress": null,
"transactionHash": "0xabc123...",
"fee": {
"networkFee": 0.83,
"partnerFee": 1.00,
"OZZOBiTFee": 2.99,
"totalFee": 4.82
},
"paymentMethod": "credit_debit_card",
"kycStatus": "APPROVED",
"createdAt": "2024-01-15T10:30:00Z",
"updatedAt": "2024-01-15T10:32:15Z",
"completedAt": "2024-01-15T10:32:15Z"
}